// .ui.xml template last modified: 1784194033365
package org.silverpeas.mobile.client.apps.media.pages;

import com.google.gwt.core.client.GWT;
import com.google.gwt.dom.client.Element;
import com.google.gwt.safehtml.client.SafeHtmlTemplates;
import com.google.gwt.safehtml.shared.SafeHtml;
import com.google.gwt.safehtml.shared.SafeHtmlUtils;
import com.google.gwt.safehtml.shared.SafeHtmlBuilder;
import com.google.gwt.safehtml.shared.SafeUri;
import com.google.gwt.safehtml.shared.UriUtils;
import com.google.gwt.uibinder.client.UiBinderUtil;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiBinderUtil;
import com.google.gwt.user.client.ui.HTMLPanel;

public class PhotoViewerPage_PhotoViewerPageUiBinderImpl implements UiBinder<com.google.gwt.user.client.ui.HTMLPanel, org.silverpeas.mobile.client.apps.media.pages.PhotoViewerPage>, org.silverpeas.mobile.client.apps.media.pages.PhotoViewerPage.PhotoViewerPageUiBinder {

  interface Template extends SafeHtmlTemplates {
    @Template("")
    SafeHtml html1();
     
  }

  Template template = GWT.create(Template.class);


  public com.google.gwt.user.client.ui.HTMLPanel createAndBindUi(final org.silverpeas.mobile.client.apps.media.pages.PhotoViewerPage owner) {


    return new Widgets(owner).get_viewer();
  }

  /**
   * Encapsulates the access to all inner widgets
   */
  class Widgets {
    private final org.silverpeas.mobile.client.apps.media.pages.PhotoViewerPage owner;


    public Widgets(final org.silverpeas.mobile.client.apps.media.pages.PhotoViewerPage owner) {
      this.owner = owner;
    }

    SafeHtml template_html1() {
      return template.html1();
    }

    /**
     * Getter for clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay called 0 times. Type: GENERATED_BUNDLE. Build precedence: 1.
     */
    private org.silverpeas.mobile.client.apps.media.pages.PhotoViewerPage_PhotoViewerPageUiBinderImpl_GenBundle get_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay() {
      return build_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay();
    }
    private org.silverpeas.mobile.client.apps.media.pages.PhotoViewerPage_PhotoViewerPageUiBinderImpl_GenBundle build_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay() {
      // Creation section.
      final org.silverpeas.mobile.client.apps.media.pages.PhotoViewerPage_PhotoViewerPageUiBinderImpl_GenBundle clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay = (org.silverpeas.mobile.client.apps.media.pages.PhotoViewerPage_PhotoViewerPageUiBinderImpl_GenBundle) GWT.create(org.silverpeas.mobile.client.apps.media.pages.PhotoViewerPage_PhotoViewerPageUiBinderImpl_GenBundle.class);
      // Setup section.

      return clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay;
    }

    /**
     * Getter for viewer called 1 times. Type: DEFAULT. Build precedence: 1.
     */
    private com.google.gwt.user.client.ui.HTMLPanel get_viewer() {
      return build_viewer();
    }
    private com.google.gwt.user.client.ui.HTMLPanel build_viewer() {
      // Creation section.
      final com.google.gwt.user.client.ui.HTMLPanel viewer = new com.google.gwt.user.client.ui.HTMLPanel(template_html1().asString());
      // Setup section.
      viewer.setStyleName("viewer");

      this.owner.viewer = viewer;

      return viewer;
    }
  }
}
